Package org.apache.coyote.http11.upgrade

# Class UpgradeApplicationBufferHandler

java.lang.Object
org.apache.coyote.http11.upgrade.UpgradeApplicationBufferHandler

All Implemented Interfaces:
  `ApplicationBufferHandler`

public class UpgradeApplicationBufferHandler extends Object implements ApplicationBufferHandler
Trivial implementation of `ApplicationBufferHandler` to support saving of HTTP request bodies during an HTTP/1.1 upgrade.

## Field Summary

### Fields inherited from interface org.apache.tomcat.util.net.ApplicationBufferHandler

`EMPTY, EMPTY_BUFFER`

## Constructor Summary

Constructors
Constructor
Description
`UpgradeApplicationBufferHandler()`

## Method Summary

Modifier and Type
Method
Description
`void`
`expand(int size)`
`ByteBuffer`
`getByteBuffer()`
`void`
`setByteBuffer(ByteBuffer byteBuffer)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UpgradeApplicationBufferHandler

public UpgradeApplicationBufferHandler()

## Method Details

### setByteBuffer

public void setByteBuffer(ByteBuffer byteBuffer)

Specified by:
  `setByteBuffer` in interface `ApplicationBufferHandler`

### getByteBuffer

public ByteBuffer getByteBuffer()

Specified by:
  `getByteBuffer` in interface `ApplicationBufferHandler`

### expand

public void expand(int size)

Specified by:
  `expand` in interface `ApplicationBufferHandler`